This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: "fix@me" <fix@me>
Date: Fri, 10 Oct 2014 15:10:32 +1100
Subject: [PATCH 1/2] original patch fixes


diff --git a/guile-readline/configure b/guile-readline/configure
index 1111111..2222222 100755
--- a/guile-readline/configure
+++ b/guile-readline/configure
@@ -12086,7 +12086,7 @@ if test "$MINGW32" = "yes" ; then
 fi
 
 
-for termlib in ncurses curses termcap terminfo termlib ; do
+for termlib in ncurses curses termcap terminfo termlib pdcurses ; do
    as_ac_Lib=`$as_echo "ac_cv_lib_${termlib}''_tgoto" | $as_tr_sh`
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking for tgoto in -l${termlib}" >&5
 $as_echo_n "checking for tgoto in -l${termlib}... " >&6; }
diff --git a/libguile/__scm.h b/libguile/__scm.h
index 1111111..2222222 100644
--- a/libguile/__scm.h
+++ b/libguile/__scm.h
@@ -150,7 +150,7 @@
    which should be exported or imported in the resulting dynamic link
    library (DLL) in the Win32 port. */
 
-#if defined (SCM_IMPORT)
+#if defined (SCM_IMPORT) && defined (USE_DLL_IMPORT)
 # define SCM_API __declspec (dllimport) extern
 #elif defined (SCM_EXPORT) || defined (DLL_EXPORT)
 # define SCM_API __declspec (dllexport) extern

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: "fix@me" <fix@me>
Date: Fri, 10 Oct 2014 15:16:19 +1100
Subject: [PATCH 2/2] fix mingw-w64 build


diff --git a/libguile/posix.c b/libguile/posix.c
index 1111111..2222222 100644
--- a/libguile/posix.c
+++ b/libguile/posix.c
@@ -968,7 +968,7 @@ SCM_DEFINE (scm_execl, "execl", 1, 0, 1,
 			    SCM_F_WIND_EXPLICITLY);
 
   execv (exec_file,
-#ifdef __MINGW32__
+#if defined(__MINGW32__) && !defined(__MINGW64_VERSION_MAJOR)
          /* extra "const" in mingw formals, provokes warning from gcc */
          (const char * const *)
 #endif
@@ -1004,7 +1004,7 @@ SCM_DEFINE (scm_execlp, "execlp", 1, 0, 1,
 			    SCM_F_WIND_EXPLICITLY);
 
   execvp (exec_file,
-#ifdef __MINGW32__
+#if defined(__MINGW32__) && !defined(__MINGW64_VERSION_MAJOR)
           /* extra "const" in mingw formals, provokes warning from gcc */
           (const char * const *)
 #endif
@@ -1048,12 +1048,12 @@ SCM_DEFINE (scm_execle, "execle", 2, 0, 1,
 			    SCM_F_WIND_EXPLICITLY);
 
   execve (exec_file,
-#ifdef __MINGW32__
+#if defined(__MINGW32__) && !defined(__MINGW64_VERSION_MAJOR)
           /* extra "const" in mingw formals, provokes warning from gcc */
           (const char * const *)
 #endif
           exec_argv,
-#ifdef __MINGW32__
+#if defined(__MINGW32__) && !defined(__MINGW64_VERSION_MAJOR)
           /* extra "const" in mingw formals, provokes warning from gcc */
           (const char * const *)
 #endif
